Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Installing Pantheon fails due to x11-proto/xproto
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
ajordan
Guru
Guru


Joined: 10 Sep 2002
Posts: 320
Location: Hannover / Germany

PostPosted: Thu Nov 01, 2018 10:08 am    Post subject: Installing Pantheon fails due to x11-proto/xproto Reply with quote

I installed Gentoo fresh and choosed Pantheon as GUI.

but
Code:
emerge pantheon-shell
lacks

Code:
emerge: there are no ebuilds to satisfy "x11-proto/xproto".
(dependency required by "gnome-base/gnome-desktop-3.24.2::elementary" [ebuild])
(dependency required by "x11-wm/gala-9999::elementary" [ebuild])
(dependency required by "pantheon-base/pantheon-shell-9999::elementary" [ebuild])
(dependency required by "pantheon-shell" [argument])


A separate
Code:
emerge xproto
results in
Code:
emerge: there are no ebuilds to satisfy "xproto".


So I updated so whole system again, found older problems with xproto during x11 updates but nothing matched here and solved this dependency.

Any idea?
_________________
http://spitfire.homelinux.net/
http://spitfire.spittix.de/

GNU/LinuX mobile Dokumentation
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Thu Nov 01, 2018 10:14 am    Post subject: Reply with quote

elementary overlay was synced recently? If yes, then the overlay is broken.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21687
Location: here

PostPosted: Thu Nov 01, 2018 10:47 am    Post subject: Reply with quote

Latest commit at this overlay is a year ago, but in your case seems broken only gnome-base/gnome-desktop-3.24.2::elementary but now gnome-desktop-3.24.2 is in official tree.
The you can try to mask this package with package.mask
Code:
# echo "gnome-base/gnome-desktop::elementary" >> /etc/portage/package.mask

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
ajordan
Guru
Guru


Joined: 10 Sep 2002
Posts: 320
Location: Hannover / Germany

PostPosted: Thu Nov 01, 2018 11:17 am    Post subject: Reply with quote

I configured elementary overlay in /etc/portage/repos.conf/, target directory exists but is empty. How to sync?

Masking gnome-desktop solves for it, but next curious missing is there:

Code:
emerge: there are no ebuilds to satisfy "gnome-extra/zeitgeist".
(dependency required by "pantheon-base/slingshot-9999::elementary" [ebuild])
(dependency required by "pantheon-base/pantheon-shell-9999::elementary" [ebuild])
(dependency required by "pantheon-shell" [argument])

_________________
http://spitfire.homelinux.net/
http://spitfire.spittix.de/

GNU/LinuX mobile Dokumentation
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21687
Location: here

PostPosted: Thu Nov 01, 2018 12:54 pm    Post subject: Reply with quote

As I say, this overlay isn't maintained anymore.
You can try to add to a local overlay and download related ebuild from unity overlay.
There's also a chance that you won't be able to get it started in the end.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
pjp
Administrator
Administrator


Joined: 16 Apr 2002
Posts: 17857

PostPosted: Thu Nov 01, 2018 3:50 pm    Post subject: Reply with quote

Moved from Desktop Environments to Unsupported Software due to unsupported overlay.
_________________

Believing I had supernatural powers I slammed into a brick wall.
I said hey, is this my problem? Is this my fault?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum